package com.mzh.library.service;

import com.mzh.library.entity.AuthenticatedUser;
import com.mzh.library.entity.Permission;

public interface AuthService {
    AuthenticationResult authenticate(String username, String password);

    boolean hasPermission(AuthenticatedUser user, Permission permission);
}
